Subject: Re: bug#43480: 27.1; Default font size not saving on Mac

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Sep 2020 10:02:01 +0300

> Date: Thu, 17 Sep 2020 16:02:30 -0700
> From: Germain Le Chapelain via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> So, the default font options don't save across session on MacOS.
> 
> What I did is:
> 
> o clicked `Option > Set Default Font...'
> o Reduce the font size (from 12 to 11)
> o Closed the window
> o Clicked `Option > Save Options'
> 
> Quit Emacs
> Restart Emacs
> 
> I was seeing size 12 font again (and would see 12 selected in going back
> to Options > Set Default Font')
> 
> I would have expected to see the font at the same size as saved in the
> previous session.

See bug#40796, maybe it will give some hints (although that bug was
not on macOS).

Basically, some of your customizations likely causes the manual
setting of the font size to be overwritten.